Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/32814/?format=api
{ "ob_id": 32814, "uuid": "171d5d0e6ef44fc3addad6ba45c8fb17", "title": "Sentinel 1B C-band Synthetic Aperture Radar (SAR): SM mode SLC Level 1 data, Instrument Processing Facility (IPF) v3", "abstract": "This dataset contains Stripmap Mode (SM) C-band Synthetic Aperture Radar (SAR) Single Look Complex (SLC) data from the European Space Agency (ESA) Sentinel 1B satellite. Sentinel 1B was launched on 25th April 2016 and provides continuous all-weather, day and night imaging radar data. The SM mode is used only on special request for extraordinary events such as emergency management. The SM mode supports single (HH or VV) and dual (HH+HV or VV+VH) polarisation. \r\n\r\nStripmap SLCs contain one image per polarisation band from one of six overlapping beams. Each beam covers 80.1 km, covering a combined range of 375 km. Pixel spacing is determined, in azimuth by the pulse repetition frequency (PRF), and in range by the radar range sampling frequency, providing natural pixel spacing.\r\n\r\nThese data are available via CEDA to any registered user.", "keywords": "Sentinel, radar, Synthetic Aperture Radar, Stripmap, Single Look Complex", "publicationState": "published", "dataPublishedTime": "2021-07-02T09:53:15", "doiPublishedTime": null, "updateFrequency": "", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/32815/?format=api", "dataPath": "/neodc/sentinel1b/data/SM/L1_SLC/IPF_v3/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 3727643585008, "numberOfFiles": 6621, "fileFormat": "Image data files are in a binary format. Quicklook images are in png format. Manifest files with relevant metadata are in SAFE format." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/9012/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data collected and prepared by European Space Agency (ESA). Downloaded from the Collaborative Hub for use by the UK scientific community.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/12321/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30129/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/20016/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146515/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146517/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146518/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146519/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146520/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146521/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146514/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146516/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146522/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146523/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/32816/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2586/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://sentinel.esa.int/documents/247904/690755/Sentinel_Data_Legal_Notice", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }